- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Names
  - Named STRING
  - WithId ID
  - DeleteEntry { Name => Content => , id => }
  - LimitToObject $object
  - NewItem

# NAME

RT::Attributes - collection of RT::Attribute objects

# SYNOPSIS

        use RT::Attributes;
        my $Attributes = RT::Attributes->new($CurrentUser);

# DESCRIPTION

# METHODS

## Names

Returns a list of the Names of all attributes for this object.

## Named STRING

Returns an array of all the RT::Attribute objects with the name STRING

## WithId ID

Returns the RT::Attribute objects with the id ID

XXX TODO XXX THIS NEEDS A BETTER ACL CHECK

## DeleteEntry { Name => Content => , id => }

Deletes attributes with the matching name and the matching content or id

If Content and id are both undefined, delete all attributes with the matching name.

## LimitToObject $object

Limit the Attributes to rights for the object $object. It needs to be an RT::Record class.

## NewItem

Returns an empty new RT::Attribute item

← Back to index